## apfsprogs 0+git20210928

=== apfsck/Makefile ===
SRCS = apfsck.c btree.c dir.c extents.c htable.c \
       inode.c key.c object.c spaceman.c super.c xattr.c
OBJS = $(SRCS:.c=.o)
DEPS = $(SRCS:.c=.d)

LIBDIR = ../lib
LIBRARY = $(LIBDIR)/libapfs.a

BINDIR = ~/bin
MANDIR = ~/share/man/man8

SPARSE_VERSION := $(shell sparse --version 2>/dev/null)

override CFLAGS += -Wall -Wno-address-of-packed-member -fno-strict-aliasing -I$(CURDIR)/../include

apfsck: $(OBJS) $(LIBRARY)
	@echo '  Linking...'
	@gcc $(CFLAGS) -o apfsck $(OBJS) $(LIBRARY)
	@echo '  Build complete'

# Build the common libraries
$(LIBRARY): FORCE
	@echo '  Building libraries...'
	@$(MAKE) -C $(LIBDIR) --silent --no-print-directory
	@echo '  Library build complete'
FORCE:

%.o: %.c
	@echo '  Compiling $<...'
	@gcc $(CFLAGS) -o $@ -MMD -MP -c $<
ifdef SPARSE_VERSION
	@sparse $(CFLAGS) $<
endif

-include $(DEPS)

clean:
	rm -f $(OBJS) $(DEPS) apfsck
install:
	install -d $(BINDIR)
	install -t $(BINDIR) apfsck
	ln -fs -T $(BINDIR)/apfsck $(BINDIR)/fsck.apfs
	install -d $(MANDIR)
	install -m 644 -t $(MANDIR) apfsck.8
	ln -fs -T $(MANDIR)/apfsck.8 $(MANDIR)/fsck.apfs.8

=== lib/Makefile ===
SRCS = checksum.c parameters.c unicode.c
OBJS = $(SRCS:.c=.o)
DEPS = $(SRCS:.c=.d)

SPARSE_VERSION := $(shell sparse --version 2>/dev/null)

override CFLAGS += -Wall -fno-strict-aliasing -I$(CURDIR)/../include

libapfs.a: $(OBJS)
	@echo '  Assembling library archive...'
	@ar rcs $@ $^

%.o: %.c
	@echo '  Compiling $<...'
	@gcc $(CFLAGS) -o $@ -MMD -MP -c $<
ifdef SPARSE_VERSION
	@sparse $(CFLAGS) $<
endif

-include $(DEPS)

clean:
	rm -f $(OBJS) $(DEPS) libapfs.a

=== mkapfs/Makefile ===
SRCS = btree.c dir.c mkapfs.c object.c spaceman.c super.c
OBJS = $(SRCS:.c=.o)
DEPS = $(SRCS:.c=.d)

LIBDIR = ../lib
LIBRARY = $(LIBDIR)/libapfs.a

BINDIR = ~/bin
MANDIR = ~/share/man/man8

SPARSE_VERSION := $(shell sparse --version 2>/dev/null)

override CFLAGS += -Wall -Wno-address-of-packed-member -fno-strict-aliasing -I$(CURDIR)/../include

mkapfs: $(OBJS) $(LIBRARY)
	@echo '  Linking...'
	@gcc $(CFLAGS) -o mkapfs $(OBJS) $(LIBRARY)
	@echo '  Build complete'

# Build the common libraries
$(LIBRARY): FORCE
	@echo '  Building libraries...'
	@$(MAKE) -C $(LIBDIR) --silent --no-print-directory
	@echo '  Library build complete'
FORCE:

%.o: %.c
	@echo '  Compiling $<...'
	@gcc $(CFLAGS) -o $@ -MMD -MP -c $<
ifdef SPARSE_VERSION
	@sparse $(CFLAGS) $<
endif

-include $(DEPS)

clean:
	rm -f $(OBJS) $(DEPS) mkapfs
install:
	install -d $(BINDIR)
	install -t $(BINDIR) mkapfs
	ln -fs -T $(BINDIR)/mkapfs $(BINDIR)/mkfs.apfs
	install -d $(MANDIR)
	install -m 644 -t $(MANDIR) mkapfs.8
	ln -fs -T $(MANDIR)/mkapfs.8 $(MANDIR)/mkfs.apfs.8

=== debian/changelog ===
apfsprogs (0+git20210928-2) unstable; urgency=medium

  * Source only upload.

 -- Gürkan Myczko <tar@debian.org>  Sun, 23 Jan 2022 21:13:34 +0100

apfsprogs (0+git20210928-1) unstable; urgency=medium

  * Initial release (Closes: #995246)

 -- Gürkan Myczko <tar@debian.org>  Thu, 20 Jan 2022 19:56:20 +0100

=== debian/control ===
Source: apfsprogs
Section: admin
Priority: optional
Maintainer: Gürkan Myczko <tar@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.0
Homepage: https://github.com/linux-apfs/apfsprogs
Vcs-Browser: https://salsa.debian.org/debian/apfsprogs
Vcs-Git: https://salsa.debian.org/debian/apfsprogs.git
Rules-Requires-Root: no

Package: apfsprogs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: experimental APFS tools for Linux
 This is a suite of userland software to work with the Apple File System on
 Linux. For now only mkfs and fsck tools are available, both functional but
 lacking in features. Compatibility with the Apple implementations has barely
 been tested; please exercise caution.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_build:
	$(MAKE) -C mkapfs
	$(MAKE) -C apfsck

override_dh_auto_install:
	@echo skip install target

## apfsprogs 0+git20220815+ds

=== apfsck/Makefile ===
SRCS = apfsck.c btree.c dir.c extents.c htable.c \
       inode.c key.c object.c snapshot.c spaceman.c super.c xattr.c
OBJS = $(SRCS:.c=.o)
DEPS = $(SRCS:.c=.d)

LIBDIR = ../lib
LIBRARY = $(LIBDIR)/libapfs.a

DESTDIR ?= ~
BINDIR = /bin
MANDIR = /share/man/man8

SPARSE_VERSION := $(shell sparse --version 2>/dev/null)

override CFLAGS += -Wall -Wno-address-of-packed-member -fno-strict-aliasing -I$(CURDIR)/../include

apfsck: $(OBJS) $(LIBRARY)
	@echo '  Linking...'
	@gcc $(CFLAGS) $(LDFLAGS) -o apfsck $(OBJS) $(LIBRARY)
	@echo '  Build complete'

# Build the common libraries
$(LIBRARY): FORCE
	@echo '  Building libraries...'
	@$(MAKE) -C $(LIBDIR) --silent --no-print-directory
	@echo '  Library build complete'
FORCE:

%.o: %.c
	@echo '  Compiling $<...'
	@gcc $(CFLAGS) -o $@ -MMD -MP -c $<
ifdef SPARSE_VERSION
	@sparse $(CFLAGS) $<
endif

-include $(DEPS)

clean:
	rm -f $(OBJS) $(DEPS) apfsck
install:
	install -d $(DESTDIR)$(BINDIR)
	install -t $(DESTDIR)$(BINDIR) apfsck
	ln -fs -T apfsck $(DESTDIR)$(BINDIR)/fsck.apfs
	install -d $(DESTDIR)$(MANDIR)
	install -m 644 -t $(DESTDIR)$(MANDIR) apfsck.8
	ln -fs -T apfsck.8 $(DESTDIR)$(MANDIR)/fsck.apfs.8

=== mkapfs/Makefile ===
--- 
+++ 
@@ -5,8 +5,9 @@
 LIBDIR = ../lib
 LIBRARY = $(LIBDIR)/libapfs.a
 
-BINDIR = ~/bin
-MANDIR = ~/share/man/man8
+DESTDIR ?= ~
+BINDIR = /bin
+MANDIR = /share/man/man8
 
 SPARSE_VERSION := $(shell sparse --version 2>/dev/null)
 
@@ -14,7 +15,7 @@
 
 mkapfs: $(OBJS) $(LIBRARY)
 	@echo '  Linking...'
-	@gcc $(CFLAGS) -o mkapfs $(OBJS) $(LIBRARY)
+	@gcc $(CFLAGS) $(LDFLAGS) -o mkapfs $(OBJS) $(LIBRARY)
 	@echo '  Build complete'
 
 # Build the common libraries
@@ -36,9 +37,9 @@
 clean:
 	rm -f $(OBJS) $(DEPS) mkapfs
 install:
-	install -d $(BINDIR)
-	install -t $(BINDIR) mkapfs
-	ln -fs -T $(BINDIR)/mkapfs $(BINDIR)/mkfs.apfs
-	install -d $(MANDIR)
-	install -m 644 -t $(MANDIR) mkapfs.8
-	ln -fs -T $(MANDIR)/mkapfs.8 $(MANDIR)/mkfs.apfs.8
+	install -d $(DESTDIR)$(BINDIR)
+	install -t $(DESTDIR)$(BINDIR) mkapfs
+	ln -fs -T mkapfs $(DESTDIR)$(BINDIR)/mkfs.apfs
+	install -d $(DESTDIR)$(MANDIR)
+	install -m 644 -t $(DESTDIR)$(MANDIR) mkapfs.8
+	ln -fs -T mkapfs.8 $(DESTDIR)$(MANDIR)/mkfs.apfs.8

=== debian/changelog ===
apfsprogs (0+git20220815+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright: update years.
  * Bump standards version to 4.6.1.

 -- Gürkan Myczko <tar@debian.org>  Mon, 15 Aug 2022 16:10:53 +0200

## apfsprogs 0+git20221028+ds

=== apfsck/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-SRCS = apfsck.c btree.c dir.c extents.c htable.c \
+SRCS = apfsck.c btree.c crypto.c dir.c extents.c htable.c \
        inode.c key.c object.c snapshot.c spaceman.c super.c xattr.c
 OBJS = $(SRCS:.c=.o)
 DEPS = $(SRCS:.c=.d)
@@ -16,7 +16,7 @@
 
 apfsck: $(OBJS) $(LIBRARY)
 	@echo '  Linking...'
-	@gcc $(CFLAGS) $(LDFLAGS) -o apfsck $(OBJS) $(LIBRARY)
+	@$(CC) $(CFLAGS) $(LDFLAGS) -o apfsck $(OBJS) $(LIBRARY)
 	@echo '  Build complete'
 
 # Build the common libraries
@@ -28,7 +28,7 @@
 
 %.o: %.c
 	@echo '  Compiling $<...'
-	@gcc $(CFLAGS) -o $@ -MMD -MP -c $<
+	@$(CC) $(CFLAGS) -o $@ -MMD -MP -c $<
 ifdef SPARSE_VERSION
 	@sparse $(CFLAGS) $<
 endif

=== lib/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-SRCS = checksum.c parameters.c unicode.c
+SRCS = aes.c checksum.c parameters.c unicode.c
 OBJS = $(SRCS:.c=.o)
 DEPS = $(SRCS:.c=.d)
 
@@ -8,11 +8,11 @@
 
 libapfs.a: $(OBJS)
 	@echo '  Assembling library archive...'
-	@ar rcs $@ $^
+	@$(AR) rcs $@ $^
 
 %.o: %.c
 	@echo '  Compiling $<...'
-	@gcc $(CFLAGS) -o $@ -MMD -MP -c $<
+	@$(CC) $(CFLAGS) -o $@ -MMD -MP -c $<
 ifdef SPARSE_VERSION
 	@sparse $(CFLAGS) $<
 endif

=== debian/changelog ===
apfsprogs (0+git20221028+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Fri, 28 Oct 2022 15:45:23 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Gürkan Myczko <tar@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/linux-apfs/apfsprogs
 Vcs-Browser: https://salsa.debian.org/debian/apfsprogs
 Vcs-Git: https://salsa.debian.org/debian/apfsprogs.git

## apfsprogs 0+git20230206+ds

=== apfs-snap/Makefile ===
SRCS = apfs-snap.c
OBJS = $(SRCS:.c=.o)
DEPS = $(SRCS:.c=.d)

DESTDIR ?= ~
BINDIR = /bin
MANDIR = /share/man/man8

SPARSE_VERSION := $(shell sparse --version 2>/dev/null)

override CFLAGS += -Wall -Wno-address-of-packed-member -fno-strict-aliasing

apfs-snap: $(OBJS)
	@echo '  Linking...'
	@gcc $(CFLAGS) $(LDFLAGS) -o apfs-snap $(OBJS)
	@echo '  Build complete'

%.o: %.c
	@echo '  Compiling $<...'
	@gcc $(CFLAGS) -o $@ -MMD -MP -c $<
ifdef SPARSE_VERSION
	@sparse $(CFLAGS) $<
endif

-include $(DEPS)

clean:
	rm -f $(OBJS) $(DEPS) apfs-snap
install:
	install -d $(DESTDIR)$(BINDIR)
	install -t $(DESTDIR)$(BINDIR) apfs-snap
	install -d $(DESTDIR)$(MANDIR)
	install -m 644 -t $(DESTDIR)$(MANDIR) apfs-snap.8

=== apfsck/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-SRCS = apfsck.c btree.c crypto.c dir.c extents.c htable.c \
+SRCS = apfsck.c btree.c compress.c crypto.c dir.c extents.c htable.c \
        inode.c key.c object.c snapshot.c spaceman.c super.c xattr.c
 OBJS = $(SRCS:.c=.o)
 DEPS = $(SRCS:.c=.d)

=== mkapfs/Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 
 mkapfs: $(OBJS) $(LIBRARY)
 	@echo '  Linking...'
-	@gcc $(CFLAGS) $(LDFLAGS) -o mkapfs $(OBJS) $(LIBRARY)
+	@$(CC) $(CFLAGS) $(LDFLAGS) -o mkapfs $(OBJS) $(LIBRARY)
 	@echo '  Build complete'
 
 # Build the common libraries
@@ -27,7 +27,7 @@
 
 %.o: %.c
 	@echo '  Compiling $<...'
-	@gcc $(CFLAGS) -o $@ -MMD -MP -c $<
+	@$(CC) $(CFLAGS) -o $@ -MMD -MP -c $<
 ifdef SPARSE_VERSION
 	@sparse $(CFLAGS) $<
 endif

=== debian/changelog ===
apfsprogs (0+git20230206+ds-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.6.2.
  * d/copyright: update years.

 -- Gürkan Myczko <tar@debian.org>  Mon, 06 Feb 2023 13:29:10 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Gürkan Myczko <tar@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/linux-apfs/apfsprogs
 Vcs-Browser: https://salsa.debian.org/debian/apfsprogs
 Vcs-Git: https://salsa.debian.org/debian/apfsprogs.git

## apfsprogs 0+git20230807+ds

=== apfs-snap/Makefile ===
--- 
+++ 
@@ -12,12 +12,12 @@
 
 apfs-snap: $(OBJS)
 	@echo '  Linking...'
-	@gcc $(CFLAGS) $(LDFLAGS) -o apfs-snap $(OBJS)
+	@$(CC) $(CFLAGS) $(LDFLAGS) -o apfs-snap $(OBJS)
 	@echo '  Build complete'
 
 %.o: %.c
 	@echo '  Compiling $<...'
-	@gcc $(CFLAGS) -o $@ -MMD -MP -c $<
+	@$(CC) $(CFLAGS) -o $@ -MMD -MP -c $<
 ifdef SPARSE_VERSION
 	@sparse $(CFLAGS) $<
 endif

=== debian/changelog ===
apfsprogs (0+git20230807+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/rules: also build apfs-snap.
  * d/control: Vcs fields, move to Debian Bananas team.

 -- Gürkan Myczko <tar@debian.org>  Mon, 07 Aug 2023 08:29:29 +0200

=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,7 @@
 override_dh_auto_build:
 	$(MAKE) -C mkapfs
 	$(MAKE) -C apfsck
+	$(MAKE) -C apfs-snap
 
 override_dh_auto_install:
 	@echo skip install target

## apfsprogs 0+git20231203+ds

=== debian/changelog ===
apfsprogs (0+git20231203+ds-1) unstable; urgency=medium

  * New upstream version.
  * Apply patch to fix FTCBS, thanks Helmut Grohne. (Closes: #1050651)
  * d/clean: updated.

 -- Gürkan Myczko <tar@debian.org>  Sun, 03 Dec 2023 19:39:06 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Build-Depends: debhelper-compat (= 13)
 Standards-Version: 4.6.2
 Homepage: https://github.com/linux-apfs/apfsprogs
-Vcs-Browser: https://salsa.debian.org/debian/apfsprogs
-Vcs-Git: https://salsa.debian.org/debian/apfsprogs.git
+Vcs-Browser: https://salsa.debian.org/bananas-team/apfsprogs
+Vcs-Git: https://salsa.debian.org/bananas-team/apfsprogs.git
 Rules-Requires-Root: no
 
 Package: apfsprogs

=== debian/rules ===
--- 
+++ 
@@ -14,9 +14,9 @@
 	dh $@
 
 override_dh_auto_build:
-	$(MAKE) -C mkapfs
-	$(MAKE) -C apfsck
-	$(MAKE) -C apfs-snap
+	dh_auto_build -D mkapfs
+	dh_auto_build -D apfsck
+	dh_auto_build -D apfs-snap
 
 override_dh_auto_install:
 	@echo skip install target

## apfsprogs 0.2.0

=== mkapfs/Makefile ===
--- 
+++ 
@@ -10,6 +10,8 @@
 MANDIR = /share/man/man8
 
 SPARSE_VERSION := $(shell sparse --version 2>/dev/null)
+
+GIT_COMMIT = $(shell git describe --always HEAD | tail -c 9)
 
 override CFLAGS += -Wall -Wno-address-of-packed-member -fno-strict-aliasing -I$(CURDIR)/../include
 
@@ -32,10 +34,14 @@
 	@sparse $(CFLAGS) $<
 endif
 
+mkapfs.o super.o: version.h
+version.h: FORCE
+	@printf '#define GIT_COMMIT\t"%s"\n' $(GIT_COMMIT) > version.h
+
 -include $(DEPS)
 
 clean:
-	rm -f $(OBJS) $(DEPS) mkapfs
+	rm -f $(OBJS) $(DEPS) mkapfs version.h
 install:
 	install -d $(DESTDIR)$(BINDIR)
 	install -t $(DESTDIR)$(BINDIR) mkapfs

=== debian/changelog ===
apfsprogs (0.2.0-1) unstable; urgency=medium

  * New upstream version.
  * d/install: add apfs-label.
  * d/manpages: add apfs-label.
  * d/clean: updated.

 -- Alex Myczko <tar@debian.org>  Thu, 07 Nov 2024 11:44:57 +0000

apfsprogs (0+git20231203+ds-2) unstable; urgency=medium

  * Bump standards version to 4.7.0.

 -- Alex Myczko <tar@debian.org>  Sun, 14 Jul 2024 16:19:54 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: apfsprogs
 Section: admin
 Priority: optional
-Maintainer: Gürkan Myczko <tar@debian.org>
+Maintainer: Alex Myczko <tar@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/linux-apfs/apfsprogs
 Vcs-Browser: https://salsa.debian.org/bananas-team/apfsprogs
 Vcs-Git: https://salsa.debian.org/bananas-team/apfsprogs.git

## apfsprogs 0.2.1

=== apfs-label/Makefile ===
SRCS = apfs-label.c
OBJS = $(SRCS:.c=.o)
DEPS = $(SRCS:.c=.d)

LIBDIR = ../lib
LIBRARY = $(LIBDIR)/libapfs.a

DESTDIR ?= ~
BINDIR = /bin
MANDIR = /share/man/man8

SPARSE_VERSION := $(shell sparse --version 2>/dev/null)

GIT_COMMIT = $(shell git describe --always HEAD | tail -c 9)

override CFLAGS += -Wall -Wno-address-of-packed-member -fno-strict-aliasing -I$(CURDIR)/../include

apfs-label: $(OBJS) $(LIBRARY)
	@echo '  Linking...'
	@$(CC) $(CFLAGS) $(LDFLAGS) -o apfs-label $(OBJS) $(LIBRARY)
	@echo '  Build complete'

# Build the common libraries
$(LIBRARY): FORCE
	@echo '  Building libraries...'
	@$(MAKE) -C $(LIBDIR) --silent --no-print-directory
	@echo '  Library build complete'
FORCE:

%.o: %.c
	@echo '  Compiling $<...'
	@$(CC) $(CFLAGS) -o $@ -MMD -MP -c $<
ifdef SPARSE_VERSION
	@sparse $(CFLAGS) $<
endif

apfs-label.o: version.h
version.h: FORCE
	@printf '#define GIT_COMMIT\t"%s"\n' $(GIT_COMMIT) > version.h

-include $(DEPS)

clean:
	rm -f $(OBJS) $(DEPS) apfs-label version.h
install:
	install -d $(DESTDIR)$(BINDIR)
	install -t $(DESTDIR)$(BINDIR) apfs-label
	install -d $(DESTDIR)$(MANDIR)
	install -m 644 -t $(DESTDIR)$(MANDIR) apfs-label.8

=== apfs-snap/Makefile ===
--- 
+++ 
@@ -7,6 +7,8 @@
 MANDIR = /share/man/man8
 
 SPARSE_VERSION := $(shell sparse --version 2>/dev/null)
+
+GIT_COMMIT = $(shell git describe --always HEAD | tail -c 9)
 
 override CFLAGS += -Wall -Wno-address-of-packed-member -fno-strict-aliasing
 
@@ -22,10 +24,15 @@
 	@sparse $(CFLAGS) $<
 endif
 
+apfs-snap.o: version.h
+version.h: FORCE
+	@printf '#define GIT_COMMIT\t"%s"\n' $(GIT_COMMIT) > version.h
+FORCE:
+
 -include $(DEPS)
 
 clean:
-	rm -f $(OBJS) $(DEPS) apfs-snap
+	rm -f $(OBJS) $(DEPS) apfs-snap version.h
 install:
 	install -d $(DESTDIR)$(BINDIR)
 	install -t $(DESTDIR)$(BINDIR) apfs-snap

=== apfsck/Makefile ===
--- 
+++ 
@@ -11,6 +11,8 @@
 MANDIR = /share/man/man8
 
 SPARSE_VERSION := $(shell sparse --version 2>/dev/null)
+
+GIT_COMMIT = $(shell git describe --always HEAD | tail -c 9)
 
 override CFLAGS += -Wall -Wno-address-of-packed-member -fno-strict-aliasing -I$(CURDIR)/../include
 
@@ -33,10 +35,14 @@
 	@sparse $(CFLAGS) $<
 endif
 
+apfsck.o: version.h
+version.h: FORCE
+	@printf '#define GIT_COMMIT\t"%s"\n' $(GIT_COMMIT) > version.h
+
 -include $(DEPS)
 
 clean:
-	rm -f $(OBJS) $(DEPS) apfsck
+	rm -f $(OBJS) $(DEPS) apfsck version.h
 install:
 	install -d $(DESTDIR)$(BINDIR)
 	install -t $(DESTDIR)$(BINDIR) apfsck

=== lib/Makefile ===
--- 
+++ 
@@ -1,4 +1,5 @@
-SRCS = aes.c checksum.c parameters.c unicode.c
+SRCS = aes.c checksum.c libzbitmap.c parameters.c sha256.c unicode.c
+SRCS += $(wildcard zlib_inflate/*.c)
 OBJS = $(SRCS:.c=.o)
 DEPS = $(SRCS:.c=.d)

=== debian/changelog ===
apfsprogs (0.2.1-2) unstable; urgency=medium

  * Upload to sid.

 -- Alex Myczko <tar@debian.org>  Fri, 05 Sep 2025 10:13:50 -0500

apfsprogs (0.2.1-1) experimental; urgency=medium

  * New upstream version.
  * Bump standards version to 4.7.2.

 -- Alex Myczko <tar@debian.org>  Mon, 07 Jul 2025 09:58:33 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Alex Myczko <tar@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/linux-apfs/apfsprogs
 Vcs-Browser: https://salsa.debian.org/bananas-team/apfsprogs
 Vcs-Git: https://salsa.debian.org/bananas-team/apfsprogs.git

=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,7 @@
 	dh_auto_build -D mkapfs
 	dh_auto_build -D apfsck
 	dh_auto_build -D apfs-snap
+	dh_auto_build -D apfs-label
 
 override_dh_auto_install:
 	@echo skip install target

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%$1.tar.gz%" \
   https://github.com/linux-apfs/apfsprogs/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
